- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- $
- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- sblksize : ufs.h
- SBLOCK_FLOPPY : ufs.h
- SBLOCK_PIGGY : ufs.h
- sblock_try : ufs.c
- SBLOCK_UFS1 : ufs.h
- SBLOCK_UFS2 : ufs.h
- SBLOCKSEARCH : ufs.h
- SBLOCKSIZE : file.h, ufs.h
- sched() : sched.c, sched.h
- sched_addDelTask() : sched.c, sched.h
- sched_deleteTask() : sched.c, sched.h
- sched_getDelTask() : sched.c, sched.h
- sched_init() : sched.c, sched.h
- sched_setStatus() : sched.c, sched.h
- sched_yield() : sched.c, sched.h
- sched_yield_new : schedyield.S
- schedEndTask() : sched.c, sched.h
- schedFindTask() : sched.c, sched.h
- schedNewTask() : sched.c, sched.h
- schedulerSpinLock : sched.c
- screenCol : ogprintf.cc
- screenRow : ogprintf.cc
- sdeTestThread() : syscall.c
- sdeThread() : sde.h
- seek() : fdc.c, fdc.h
- SEEK_SET : file.h
- sendByte() : fdc.c, fdc.h
- setDr3() : smp.c
- setEflags() : smp.c, smp.h
- setitimer() : gen_calls.c, sysproto.h
- setLED() : atkbd.c, atkbd.h
- setTaskVector() : idt.c, idt.h
- setVector() : idt.c, idt.h
- shiftKey : atkbd.h
- SHMEM : lnc.h
- shTypeName : elf.c
- sigaction() : kern_sig.c, syscalls_new.h, kern_sig.h
- SIGN : vsprintf.c
- sigprocmask() : kern_sig.c, syscalls_new.h, kern_sig.h
- sigset_t : signal.h
- sImr : 8259.h
- size_t : types.h
- skip_atoi() : vsprintf.c
- SMALL : vsprintf.c
- smpInit() : smp.c, smp.h
- SPACE : vsprintf.c
- SPECIAL : vsprintf.c
- sPic : 8259.h
- SPIN_LOCK_INITIALIZER : spinlock.h
- spinLock() : spinlock.c, spinlock.h
- spinLock_scheduler() : spinlock.c, spinlock.h
- spinLock_t : spinlock.h
- spinLockInit() : spinlock.c, spinlock.h
- spinLockLocked() : spinlock.c, spinlock.h
- spinTryLock() : spinlock.c, spinlock.h
- spinUnlock() : spinlock.c, spinlock.h
- sprintf() : kprintf.c, string.h
- sqrt() : sqrt.c, math.h
- sr0 : fdc.c
- ssize_t : types.h
- STACK_ADDR : exec.c
- start_next : start.S
- startPage : ne2k.h
- static_constructors() : static.c, static.h
- statSize : fdc.c
- status : fdc.c
- STATUS_FAILURE : lists.h
- STATUS_SUCCESS : lists.h
- stdinBuffer : atkbd.c
- stdinSize : atkbd.c
- STOP : lnc.h
- stopPage : ne2k.h
- strcmp() : string.c, string.h
- strcpy : string.h, strcpy.S
- strlen : string.h, strlen.S
- strncmp() : string.c, string.h
- strncpy() : string.c, string.h
- strstr() : string.c, string.h
- STRT : lnc.h
- strtok() : strtok.c, string.h
- strtok_r() : strtok.c, string.h
- strtol() : strtol.c, string.h
- subClass : pci.c
- suseconds_t : time.h
- sVec : 8259.h
- syncBat() : block.c, ubixfs.h
- sys_exec() : exec.c, exec.h
- sys_open() : vfs.c, sysproto.h
- sys_write() : gen_calls.c, sysproto.h
- sysAddModule() : syscall.c, syscalls.h
- sysAuth() : syscall.c, syscalls.h
- syscall() : syscall_new.c
- sysChDir() : file.c, file.h, syscalls.h
- sysCheckPid() : syscall.c, syscalls.h
- sysctl_add() : kern_sysctl.c, kern_sysctl.h
- sysctl_enabled : kern_sysctl.h
- sysctl_find() : kern_sysctl.c
- sysctl_init() : kern_sysctl.c, kern_sysctl.h
- sysExec() : exec.c, syscalls.h
- sysExit() : syscall.c, syscalls_new.h, syscalls.h
- sysFclose() : file.c, syscalls.h
- sysFgetc() : file.c, syscalls.h
- sysFopen() : file.c, syscalls.h
- sysFork() : syscalls.h, fork.h
- sysFread() : file.c, syscalls.h
- sysFseek() : file.c, file.h, syscalls.h
- sysFwrite() : file.c, syscalls.h
- sysGetCwd() : syscall.c, syscalls.h
- sysGetDrives() : syscall.c, syscalls.h
- sysGetFreePage() : syscall.c, syscalls.h
- sysGetGid() : syscall.c, syscalls.h
- sysGetpid() : syscall.c, syscalls.h
- sysGetTime() : syscall.c, syscalls.h
- sysGetUid() : syscall.c, syscalls.h
- sysGetUptime() : syscall.c, syscalls.h
- sysID : kmalloc.h
- sysMkDir() : file.c, syscalls.h
- sysMpiCreateMbox() : message.c, syscalls.h
- sysMpiDestroyMbox() : message.c, syscalls.h
- sysMpiFetchMessage() : message.c, syscalls.h
- sysMpiPostMessage() : message.c, syscalls.h
- sysMpiSpam() : message.c, syscalls.h
- sysPasswd() : syscall.c, syscalls.h
- sysRmDir() : file.c, syscalls.h
- sysRmModule() : syscall.c, syscalls.h
- sysSchedYield() : syscall.c, syscalls.h
- sysSDE() : syscalls.h, sde.h
- sysSetGid() : syscall.c, syscalls.h
- sysSetUid() : syscall.c, syscalls.h
- sysStartSDE() : syscall.c, syscalls.h
- systemCalls : syscalls.h
- systemCalls_new : syscalls_new.h
- systemTask() : systemtask.c, systemtask.h
- systemVitals : vitals.c, timer.S, vitals.h
- sysUnlink() : file.c, syscalls.h